\documentclass{standalone}
\usepackage{tikz,circuitikz}
\usetikzlibrary{3d,arrows.meta}
\begin{document}
\begin{tikzpicture}[>=latex,
    conductor/.style={line width=2pt,orange}]

  \begin{scope}[canvas is zy plane at x=0]
    % Y axis
    \draw[gray,->] (0,0) -- (0,4) node[above] {Y};

    % loop
    \def \i{15}
    \draw[conductor] (90+\i:1.5) coordinate (A) arc[start angle=90+\i, delta
      angle=360-2*\i, radius=1.5] coordinate (B);

    % connectors for battery
    \draw[thick] (A) -- ++(0,1) coordinate (C) node[above right] {-};
    \draw[thick] (B) -- ++(0,1) coordinate (D) node[above left] {+};

    % battery
    \draw (C) -- ++(0.25,0) -- +(0,0.2) -- +(0,-0.2);
    \draw (D) -- ++(-0.25,0) -- +(0,0.4) -- +(0,-0.4);

    % intensity
    \draw[->] (60:1.8) node [left] {$\vec{I}$} arc[start angle=60, end angle=30, radius=1.8];
  \end{scope}

  \begin{scope}[canvas is zx plane at y=0]
    % Z axis
    \draw[gray,->] (0,0) -- (4,0) node[below] {Z};
  \end{scope}

  \begin{scope}[canvas is xy plane at z=0]
    % X axis
    \draw[gray,->] (0,0) -- (4,0) node[right] {X};

    % magnetic field
    \draw[->, blue] (0,0) -- node[above] {$\vec{B}$} (2,0);
  \end{scope}

\end{tikzpicture}
\end{document}
